package main

import (
	"flow/flowserver"
	"flow/registry"
	"log"
	"net/http"

	"github.com/gohxs/prettylog"
	"github.com/gohxs/webu"
	"github.com/gohxs/webu/chain"
)

func main() {
	prettylog.Global()
	r := registry.New()
	r.Add("hello", func() string {
		return "hello world"
	})

	c := chain.New(webu.ChainLogger(prettylog.New("flow")))

	mux := http.NewServeMux()
	mux.Handle("/", c.Build(flowserver.New(r, "storename")))
	// Contextual
	mux.Handle("/test/", c.Build(http.StripPrefix("/test", c.Build(flowserver.New(r, "storename")))))
	// Subpage context
	mux.Handle("/thesystem/has/test/", c.Build(http.StripPrefix("/thesystem/has/test", c.Build(flowserver.New(r, "storename")))))

	log.Println("Server :5000")
	http.ListenAndServe(":5000", mux)

}
