package webops

import (
	"flow/registry"
	"io/ioutil"
	"net/http"
)

// New creates web operations for flow
func New() *registry.R {
	r := registry.New()

	r.Add(httpGet).Tags("http").
		Extra("style", registry.M{"color": "#828"})

	return r
}

func httpGet(url string) (string, error) {

	res, err := http.Get(url)
	if err != nil {
		return "", err
	}
	defer res.Body.Close()

	out, err := ioutil.ReadAll(res.Body)
	if err != nil {
		return "", err
	}

	return string(out), nil

}
